@import '../node_modules/@angular/material/theming';
@import '~jsoneditor/dist/jsoneditor.min.css';

@include mat-core();

$ex-backend-primary: (
  50: #e7ecf5,
  100: #c3d1e6,
  200: #9cb2d5,
  300: #7493c4,
  400: #567bb7,
  500: #3864aa,
  600: #325ca3,
  700: #2b5299,
  800: #244890,
  900: #17367f,
  A100: #b7caff,
  A200: #84a5ff,
  A400: #517fff,
  A700: #376dff,
  contrast: (
    50: #000000,
    100: #000000,
    200: #000000,
    300: #000000,
    400: #ffffff,
    500: #ffffff,
    600: #ffffff,
    700: #ffffff,
    800: #ffffff,
    900: #ffffff,
    A100: #000000,
    A200: #000000,
    A400: #ffffff,
    A700: #ffffff,
  ),
);

$ex-backend-secondary: (
  50: #f1f6e1,
  100: #dbe8b5,
  200: #c3d984,
  300: #abc953,
  400: #99be2e,
  500: #87b209,
  600: #7fab08,
  700: #74a206,
  800: #6a9905,
  900: #578a02,
  A100: #e0ffb6,
  A200: #caff83,
  A400: #b4ff50,
  A700: #a9ff36,
  contrast: (
    50: #000000,
    100: #000000,
    200: #000000,
    300: #000000,
    400: #000000,
    500: #000000,
    600: #000000,
    700: #000000,
    800: #ffffff,
    900: #ffffff,
    A100: #000000,
    A200: #000000,
    A400: #000000,
    A700: #000000,
  ),
);

$ex-backend-error: (
  50: #ffe7e3,
  100: #ffc3ba,
  200: #ff9b8c,
  300: #ff735e,
  400: #ff553c,
  500: #ff3719,
  600: #ff3116,
  700: #ff2a12,
  800: #ff230e,
  900: #ff1608,
  A100: #ffffff,
  A200: #fff4f4,
  A400: #ffc3c1,
  A700: #ffaba7,
  contrast: (
    50: #000000,
    100: #000000,
    200: #000000,
    300: #000000,
    400: #000000,
    500: #ffffff,
    600: #ffffff,
    700: #ffffff,
    800: #ffffff,
    900: #ffffff,
    A100: #000000,
    A200: #000000,
    A400: #000000,
    A700: #000000,
  ),
);

$ex-backend-app-primary: mat-palette($ex-backend-primary);
$ex-backend-app-accent: mat-palette($ex-backend-secondary);
$ex-backend-app-warn: mat-palette($ex-backend-error);

$ex-backend-app-theme: mat-light-theme(
  $ex-backend-app-primary,
  $ex-backend-app-accent,
  $ex-backend-app-warn
);

@include angular-material-theme($ex-backend-app-theme);
